BOOTPC(8)

NAME
bootpc - bootp client

SYNOPSIS
bootpc [--bootfile file] [--dev device] [--verbose] [--debug] [--server addr] [--hwaddr addr] [--returniffail] [--waitformore length] [--in2host addr] [--serverbcast] [--help]

DESCRIPTION
This manual page documents briefly the bootpc command. This manual page was written for the Debian GNU/Linux distribution (but may be used by others), because the original program does not have a manual page.

bootpc is a boot protocol client used to grab the machine's IP address, set up DNS nameservers and other useful information.

OPTIONS

--bootfile file
    Tell the server to use file as the boot file.

--dev device
    Use device to communicate with the server.

--verbose
    Be verbose.

--debug
    Produce debugging output.

--server addr
    Use the IP address addr to communicate with the server.

--hwaddr addr
    Use addr as our hardware address rather than what the operating system gives us.

--returniffail
    Terminate the program if a failure occurs. By default bootpc will ask the user to press a key if the request did not succeed.

--waitformore length
    Wait for more responses when one is received. bootpc will wait for at most length seconds. This is probably only useful for debugging.

--in2host addr
    Takes an address and returns useful bits of the name after lookup, this was a separate program, but it is more compact to have both together.

--serverbcast
    Tell the server to send back a broadcast reply. This is necessary on Linux 2.1 and 2.2.

--help
    Display the usage of bootpc.

AUTHOR
This manual page was written by Herbert Xu <herbert@debian.org>, for the Debian GNU/Linux system (but may be used by others).